Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ParticleSystem::CmdCull Class Reference

Command object for cull_each (see ParamCommand). More...

`#include <OgreParticleSystem.h>`

Inheritance diagram for Ogre::ParticleSystem::CmdCull:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for cull_each (see ParamCommand).

Definition at line 71 of file OgreParticleSystem.h.

## Member Function Documentation

String Ogre::ParticleSystem::CmdCull::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 537 of file OgreParticleSystem.cpp. References Ogre::BillboardSet::getCullIndividually(), and Ogre::String.

void Ogre::ParticleSystem::CmdCull::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 542 of file OgreParticleSystem.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreParticleSystem.h
- OgreParticleSystem.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:23 2004